dbXML API

## org.dbxml.tools.command
Class ExportTree

    java.lang.Object
      |
      +--org.dbxml.tools.command.Command
            |
            +--org.dbxml.tools.command.ExportTree

public class ExportTree
extends Command

ExportTree.java is designed to take a Collection tree and create a Directory tree from it. Export tree requires a collection name and a file path to create the tree

Fields inherited from class org.dbxml.tools.command.Command
`COLLECTIONURI, DBXML_NAME_INDEXER, DBXML_VAL_INDEXER, DBXMLURI, XMLDBAPIVERSION`

Constructor Summary
`ExportTree()`

Method Summary
`boolean` `execute(java.util.Hashtable table)` TODO: Description of the Method
`java.lang.String` `parentDir(java.lang.String parent)` TODO: Description of the Method

Methods inherited from class org.dbxml.tools.command.Command
`normalizeCollectionURI, normalizeDbXmlURI`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExportTree

    public ExportTree()

Method Detail

### execute

    public boolean execute(java.util.Hashtable table)
                    throws java.lang.Exception

  TODO: Description of the Method
  Overrides:
    `execute` in class `Command`
  Parameters:
    `table` - Description of Parameter
  Returns:
    Description of the Returned Value

### parentDir

    public java.lang.String parentDir(java.lang.String parent)

  TODO: Description of the Method
  Parameters:
    `parent` - Description of Parameter
  Returns:
    Description of the Returned Value

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved